## plasma-widget-runcommand 1.0

=== applet/CMakeLists.txt ===
project(runcommand)

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_definitions (${QT_DEFINITIONS} ${KDE4_DEFINITIONS})
include_directories(
   ${CMAKE_SOURCE_DIR}
   ${CMAKE_BINARY_DIR}
   ${KDE4_INCLUDES}
   )

set(runcommand_SRCS plasma-runcommand.cpp)

kde4_add_ui_files(runcommand_SRCS configuration.ui)
kde4_add_plugin(plasma_applet_runcommand ${runcommand_SRCS})
target_link_libraries(plasma_applet_runcommand
                      ${QT_QTSCRIPT_LIBRARY}
                      ${KDE4_PLASMA_LIBS}
                      ${KDE4_KDEUI_LIBS}
                      ${KDE4_KUTILS_LIBS}
                      ${KDE4_KIO_LIBS}
                      kworkspace
                      )

install(TARGETS plasma_applet_runcommand
        DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasma-applet-runcommand.desktop
        DESTINATION ${SERVICES_INSTALL_DIR})

## plasma-widget-runcommand 2.0

=== CMakeLists.txt ===
find_package(KDE4 REQUIRED)
include(KDE4Defaults)

add_subdirectory(applet)

=== applet/CMakeLists.txt ===
--- 
+++ 
@@ -10,15 +10,17 @@
    ${KDE4_INCLUDES}
    )
 
-set(runcommand_SRCS plasma-runcommand.cpp)
+set(runcommand_SRCS RunCommandApplet.cpp RunCommandItem.cpp)
 
-kde4_add_ui_files(runcommand_SRCS configuration.ui)
+add_subdirectory(po)
+
+kde4_add_ui_files(runcommand_SRCS ui/results.ui)
 kde4_add_plugin(plasma_applet_runcommand ${runcommand_SRCS})
 target_link_libraries(plasma_applet_runcommand
                       ${QT_QTSCRIPT_LIBRARY}
                       ${KDE4_PLASMA_LIBS}
+                      ${KDE4_KUTILS_LIBS}
                       ${KDE4_KDEUI_LIBS}
-                      ${KDE4_KUTILS_LIBS}
                       ${KDE4_KIO_LIBS}
                       kworkspace
                       )

=== applet/po/CMakeLists.txt ===
find_package(Gettext REQUIRED)

if(NOT GETTEXT_MSGFMT_EXECUTABLE)
   message(FATAL_ERROR "Please install the msgfmt binary")
endif(NOT GETTEXT_MSGFMT_EXECUTABLE)

file(GLOB _po_files *.po)

set(_gmoFiles)

foreach(_current_PO_FILE ${_po_files})
   get_filename_component(_lang ${_current_PO_FILE} NAME_WE)
   set(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)
   add_custom_command(OUTPUT ${_gmoFile}
         COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} -o ${_gmoFile} ${_current_PO_FILE}
         WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
         DEPENDS ${_current_PO_FILE}
      )

   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME plasma_applet_runcommand.mo)
   list(APPEND _gmoFiles ${_gmoFile})
endforeach(_current_PO_FILE)
add_custom_target(pofiles ALL DEPENDS ${_gmoFiles})

## plasma-widget-runcommand 2.1

=== debian/changelog ===
plasma-widget-runcommand (2.1-0ubuntu4) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Switch to source format 3.0 (quilt).

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 25 May 2010 22:40:43 +0200

plasma-widget-runcommand (2.1-0ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:07 +0000

plasma-widget-runcommand (2.1-0ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 24 Nov 2009 10:01:06 -0500

plasma-widget-runcommand (2.1-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Transition from kde.mk to dh --with-kde:
    - debian/control: Remove cdbs build-dependency
    - debian/rules: Build with the dh7 kde addon
  * Bump Standards-Version to 3.8.3
  * Remove unnecessary build-depend on kdelibs5-dev
  * Remove now-unnecessary replaces/conflicts on plasmoid-runcommand

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 07 Nov 2009 21:10:48 -0500

plasma-widget-runcommand (2.0-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #412124)
    - Bump kdelibs5-dev and kdebase-workspace-dev to 4.3.0

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Tue, 11 Aug 2009 21:23:17 +0200

plasma-widget-runcommand (1.4-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #405041)
  * Transition to kde.mk from pkg-kde-tools:
    - Include kde.mk and debhelper.mk in debian/rules
    - Bump debhelper build-dep in debian/control to 7
    - Bump compat to 7
  * Bump Standards-Version to 3.8.2, no changes necessary
  * Bump kdelibs5-dev and kdebase-workspace-dev to 4.2.98
  * Binary package depends on ${misc:Depends} for lintian happiness

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Sun, 26 Jul 2009 23:26:03 +0200

plasma-widget-runcommand (1.2-0ubuntu2) karmic; urgency=low

  * Transition from libplasma-dev to kdelibs5-dev
    - debian/control: change libplasma-dev to kdelibs5-dev
  * Transition from kde4.mk to pkg-kde-tools
    - debian/rules: Change '/usr/share/cdbs/1/class/kde4.mk' to
     '/usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk'
    - debian/control: Build-Depend on 'pkg-kde-tools'
  * Drop cmake from build-deps
  * Bump kdebase-workspace-dev to 4.2.2

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Fri, 22 May 2009 22:03:31 +0200

plasma-widget-runcommand (1.2-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.1

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 28 Apr 2009 20:05:51 -0400

plasma-widget-runcommand (1.0-0ubuntu2) jaunty; urgency=low

  * Rename plasmoid-* to plasma-widget-* to match upstream naming policy
     - Conflicts/replaces plasmoid-runcommand

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 10 Feb 2009 10:09:58 -0500

plasmoid-runcommand (1.0-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #296864)

 -- Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>  Sat, 15 Nov 2008 23:40:46 +0100

=== debian/control ===
Source: plasma-widget-runcommand
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>
Build-Depends: debhelper (>= 7.3.16~),
               pkg-kde-tools (>= 0.5.0~),
               cmake,
               kdebase-workspace-dev (>= 4:4.3.3-0ubuntu2),
               libqt4-dev (>= 4:4.6.0~rc1-1ubuntu1)
Standards-Version: 3.8.4
Homepage: http://kde-look.org/content/show.php/Run+Command?content=91495

Package: plasma-widget-runcommand
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plasmoid to run commands
 Simple plasmoid to run commands without using terminal or KRunner.

## plasma-widget-runcommand 2.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8)

add_subdirectory(applet)

=== applet/CMakeLists.txt ===
--- 
+++ 
@@ -12,14 +12,14 @@
 
 set(runcommand_SRCS RunCommandApplet.cpp RunCommandItem.cpp)
 
-add_subdirectory(po)
+add_subdirectory(locale)
 
 kde4_add_ui_files(runcommand_SRCS ui/results.ui)
 kde4_add_plugin(plasma_applet_runcommand ${runcommand_SRCS})
 target_link_libraries(plasma_applet_runcommand
                       ${QT_QTSCRIPT_LIBRARY}
                       ${KDE4_PLASMA_LIBS}
-                      ${KDE4_KUTILS_LIBS}
+                      ${KDE4_KCMUTILS_LIBS}
                       ${KDE4_KDEUI_LIBS}
                       ${KDE4_KIO_LIBS}
                       kworkspace

=== applet/locale/CMakeLists.txt ===
file(GLOB _mo_files *.mo)

foreach(_current_MO_FILE ${_mo_files})
   get_filename_component(_lang ${_current_MO_FILE} NAME_WE)
   install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/${_lang}.mo DESTINATION ${LOCALE_INSTALL_DIR}/${_lang}/LC_MESSAGES/ RENAME plasma_applet_runcommand.mo)
endforeach(_current_MO_FILE)

=== debian/changelog ===
plasma-widget-runcommand (2.5-0ubuntu1) quantal; urgency=low

  * New upstream release.
  * Bump debhelper version to 9:
    - Bump debhelper build dependency to 9.
    - Bump debian/compat to 9.
    - Fix order of debhelper options in debian/rules.
  * Bump Standards-Version to 3.9.3, no changes required.
  * Transition build-dependency on kdebase-workspace-dev to the replacement
    kde-workspace-dev package.
  * Remove unnecessary build-depend on libqt4-dev, was introduced for a ABI
    transition and is no longer required.
  * Replace all mentions of "plasmoid" with "Plasma widget" in the package
    description, and add some further clarification to the description.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 09 Jun 2012 17:58:17 -0400

plasma-widget-runcommand (2.1-0ubuntu5) precise; urgency=low

  * Rebuild against libkworkspace4abi1.

 -- Felix Geyer <debfx@ubuntu.com>  Fri, 27 Jan 2012 14:18:00 +0100

=== debian/control ===
Source: plasma-widget-runcommand
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Alessandro Ghersi <alessandro.ghersi@fastwebnet.it>
Build-Depends: debhelper (>= 9),
               pkg-kde-tools (>= 0.5.0~),
               cmake,
               kde-workspace-dev
Standards-Version: 3.9.3
Homepage: http://kde-look.org/content/show.php/Run+Command?content=91495

Package: plasma-widget-runcommand
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: plasma widget for running commands
 A simple Plasma to run console commands without using terminal or KRunner.
